﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HamsterEngine.SimElements
{
    public class Körner : SimElement
    {
        private int amount = 0;

        public int Amount
        {
            get { return amount; }
            set { amount = value; }
        }

        public Körner(int amount = 0)
        {
            this.amount = amount;
        }

        public static Körner operator +(Körner k1, int k2)
        {
            return new Körner(k1.amount + k2);
        }

        public static Körner operator -(Körner k1, int k2)
        {
            return new Körner(k1.amount - k2);
        }

        public static implicit operator Körner(int value)
        {
            return new Körner(value);
        }

        public override System.Drawing.Bitmap Image
        {
            get { return null; }
        }
    }
}
